
<mat-card>
    <mat-card-header *ngIf="user">
        <mat-card-title>Им'я: {{user.name}}</mat-card-title>
        <mat-card-subtitle>Email: {{user.mail}}</mat-card-subtitle>
    </mat-card-header>
<!--    <img matCardImage src="Card wide image source">-->
    <mat-card-content *ngIf="editFormShow">
<app-profile-form [user]="user" (profileEditResult)="onEditProfile($event)"></app-profile-form>
    </mat-card-content>
    <mat-card-actions align="start" *ngIf="!editFormShow">
        <button mat-raised-button color="primary" (click)="onEditProfileStart()">Редагувати профіль</button>
    </mat-card-actions>
<!--    <mat-card-footer>-->
<!--        Footer-->
<!--    </mat-card-footer>-->
</mat-card>